SkillHub
Referenceregistries

List a skill's versions

GET
/registries/{ownerHandle}/{slug}/skills/{name}/versions

Path Parameters

ownerHandle*string
Lengthlength <= 64
slug*string
Lengthlength <= 64
name*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 64

Query Parameters

includeYanked?boolean
cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/registries/string/string/skills/string/versions"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "version": "string",      "sizeBytes": 0,      "fileCount": 0,      "publishedBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "handle": "string",        "displayName": "string",        "avatarUrl": "string"      },      "publishedAt": "2019-08-24T14:15:22Z",      "scanStatus": "pending",      "yanked": {        "at": "2019-08-24T14:15:22Z",        "reason": "string"      },      "structuralWarnings": []    }  ],  "nextCursor": "string"}